<?php
	//引入语言包
	$g_langpackage=new grouplp;
	
	//引入公共模块
	require("foundation/module_group.php");
	require("foundation/module_users.php");
	require("foundation/fpages_bar.php");
	
	//变量区
	$role='';
	$group_creat=get_sess_cgroup();
	$user_id=get_sess_userid();
	$group_id=short_check(get_argg('group_id'));
	
	//当前页面参数
	$page_num=trim(get_argg('page'));	
	
	//数据表定义区
	$t_users=$tablePreStr."users";
	$t_group_members=$tablePreStr."group_members";
	$t_group_type=$tablePreStr."group_type";
	
	//定义读取操作
	dbtarget('r',$dbServs);
	$dbo=new dbex;
	
	//权限判断
	$role=pri_limit($dbo,$user_id,$group_id);
	if(!isset($role)||$role>=2){
		echo "<script type='text/javascript'>alert(\"$g_langpackage->g_no_privilege\");window.history.go(-1);</script>";exit();
	}
	
	$member_rs=array();

	$req_member_rs=array();
	
	//取得未审核的会员
	$req_member_rs=get_group_members($dbo,$t_group_members,$group_id,0);
	
	//取得已经审核的会员
	$dbo->setPages($set_page_data_num,$page_num);//设置分页
	$member_rs=get_group_members($dbo,$t_group_members,$group_id,1);
	$page_total=$dbo->totalPage;//分页总数	
	
	//显示控制
	$req_data="";
	$isNull=1;
	if(empty($req_member_rs)){
		$isNull=0;
		$req_data="content_none";
	}
	?>
